/*
 * Dancer.js magic
 */
Dancer.setOptions({
    flashSWF : '/dancer.js/lib/soundmanager2.swf',
    flashJS  : '/dancer.js/lib/soundmanager2.js'
});

function startDemo(){
    var a = $('#audio');

    log("demo started");
    stopFullScreenCheck();
    $('#abe').fadeOut(5000);    //main screen turn on!
    $('#startbutton').fadeOut(5000);
    $('#startbutton').attr("disabled", "disabled");

    $('#him').css("background-image","url(assets/abe/abebig.png);");

    startAudio();
    beginTextDisplay();//WORKS
    //showCurve();//WORKS
    //showParticles();//NOT FULLY WORKING
    //showVolumeUp();//NOT FULLY WORKING
    //turnFigures();//WORKS

}

var song; //global var
var dancer;
function startAudio(){

    var audio = $( '#audio' );
    dancer = new Dancer();
    audio = document.getElementById( 'audio' ),

        log("audio started",audio);
    song=dancer.load(audio);
    song.play();
}


